petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSortSplitReal

Quick-sort split of an array of PetscReals in place.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortSplitReal(PetscInt ncut,PetscInt n,PetscReal a[],PetscInt idx[])

Not Collective Many br

### Input Parameters

| ncut | - splitig index Many br
| n | - number of values to sort Many br
| a | - array of values in PetscReal Many br
| idx | - index for array a Many br

### Output Parameters

| a | - permuted array of real values such that its elements satisfy: Many brabs(a[i]) >= abs(a[ncut-1]) for i < ncut and Many brabs(a[i]) <= abs(a[ncut-1]) for i >= ncut Many br
| idx | - permuted index of array a Many br

Many br

### See Also

PetscSortInt(), PetscSortRealWithPermutation()

Level:intermediate
Location:src/sys/utils/sortd.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages